%define _optlevel 3
%def_disable lzma

Name: libarchive
Version: 2.6.2
Release: alt1

Group: System/Libraries
Summary: A library for handling streaming archive formats
License: BSD
Url: http://code.google.com/p/libarchive/
#Url: http://people.freebsd.org/~kientzle/libarchive/

Source0: libarchive-%version.tar.gz
Source1: libarchive.map
# ALT
Patch1: libarchive-2.6.2-alt-versioning.patch
# MDK
Patch100: libarchive-2.6.0-xz-support.patch
Patch101: libarchive-2.6.1-headers.patch


BuildRequires: bzlib-devel gcc-c++ glibc-devel libacl-devel libattr-devel libe2fs-devel sharutils zlib-devel
%if_enabled lzma
BuildRequires: liblzma-devel
%endif

%description
Libarchive is a programming library that can create and read several different
streaming archive formats, including most popular tar variants, several cpio
formats, and both BSD and GNU ar variants. It can also write shar archives and
read ISO9660 CDROM images and ZIP archives.

%package -n bsdtar
Summary: Full-featured tar replacement built on libarchive
Group: Archiving/Backup
Requires: %name = %version-%release
%description -n bsdtar
The bsdtar program is a full-featured tar replacement built on libarchive.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.


%prep
%setup -q
install -m 0644 %SOURCE1 libarchive.map
%patch1 -p1
%if_enabled lzma
%patch100 -p1
%endif
%patch101 -p1
autoreconf -fisv


%build
%configure \
    --disable-static \
    --enable-bsdtar=shared
%make_build


%install
%make DESTDIR=%buildroot  install


%files
%doc README NEWS
%_libdir/*.so.*

%files -n bsdtar
%_bindir/bsdtar
%_man1dir/bsdtar*

%files devel
%doc
%_includedir/*
%_man3dir/*
%_man5dir/*
%_libdir/*.so

%changelog
* Thu Apr 09 2009 Sergey V Turchin <zerg@altlinux.org> 2.6.2-alt1
- new version
- package bsdtar

* Thu Apr 09 2009 Sergey V Turchin <zerg@altlinux.org> 2.6.0-alt1
- new version
- remove deprecated macroses from specfile

* Mon Sep 15 2008 Sergey V Turchin <zerg at altlinux dot org> 2.5.5-alt1
- new version
- add versioning

* Mon Mar 24 2008 Sergey V Turchin <zerg at altlinux dot org> 2.4.14-alt1
- initial specfile
